package ru.yandex.webmaster3.storage.util.clickhouse2.query.cases;

/**
 * @author tsyplyaev
 */
public class RegionIn extends Case {
    private final Object child;
    private final Object parent;

    public RegionIn(Object child, Object parent) {
        this.child = child;
        this.parent = parent;
    }

    @Override
    public String toString() {
        return "regionIn(toUInt32(" + child.toString() + "), toUInt32(" + parent.toString() + "))";
    }
}